Bug 1304757 - Configuring NFS Storage - misleading statement for GlanceFilePcmkFstype
Configuring NFS Storage - misleading statement for GlanceFilePcmkFstype
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation (Show other bugs)
7.0 (Kilo)
All Unspecified
medium Severity low
: ga
: 8.0 (Liberty)
Assigned To: Dan Macpherson
RHOS Documentation Team
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-04 09:30 EST by Rafal Szmigiel
Modified: 2016-04-13 00:52 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-13 00:52:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rafal Szmigiel 2016-02-04 09:30:30 EST
Description of problem:

https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux_OpenStack_Platform/7/html/Director_Installation_and_Usage/sect-Scenario_2_Using_the_CLI_to_Create_a_Basic_Overcloud.html#sect-Configuring_NFS_Storage says:

In this example, we will configure the Overcloud to use an NFS share. Modify the following parameters:
(...)
GlanceFilePcmkFstype
Defines the file system type that Pacemaker uses for image storage. Set to false.

It should be: 

GlanceFilePcmkFstype
Defines the file system type that Pacemaker uses for image storage. Set to 'nfs'.

Version-Release number of selected component (if applicable):


How reproducible:

Follow the documentation and overlook attached example ;-)

Steps to Reproduce:
1. Read the documentation
2. Do what it says, ignore attached example
3. Get confused that glance still uses local storage instead of NFS share

Actual results:

Pacemaker doesn't start fs-varlibglanceimages-clone as 'false' fstype isn't supported. 

Expected results:

fs-varlibglanceimages-clone resource started, NFS resource mounted

Additional info:

Example provided with documentation is correct:

  GlanceFilePcmkFstype: 'nfs'
Comment 4 Rafal Szmigiel 2016-02-12 07:38:32 EST
Looks good for me - thank you for help!

Rafał
Comment 5 Dan Macpherson 2016-02-12 09:23:41 EST
No problem. Thanks for pointing out this issue!
Comment 6 Andrew Dahms 2016-04-13 00:52:04 EDT
This content is now live on the Customer Portal.

Closing.

Note You need to log in before you can comment on or make changes to this bug.